package com.yihu.jw.entity.health.bank;/**
 * Created by nature of king on 2018/6/8.
 */

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;
import org.hibernate.annotations.ColumnTransformer;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @author wangzhinan
 * @create 2018-06-08 14:40
 * @desc 活动商品
 **/
@Entity
@Table(name = "wlyy_health_bank_activity_goods")
public class TaskGoodsDO extends UuidIdentityEntityWithOperator implements Serializable {

    @Column(name = "saas_id")
    private String saasId;//环境id

    @Column(name = "activity_id")
    private String activityId;//任务id

    @Column(name = "img")
    private String img;//商品图片

    @Column(name = "name")
    private String name;//商品名称

    @Column(name = "integrate")
    private Integer integrate;//积分

    @Column(name = "coupon")
    private Integer coupon;//活动劵

    @Column(name = "status")
    private Integer status;//状态（1：充足，-1：库存不足）

    @Transient
    private ExchangeGoodsDO exchangeGoodsDO;//兑换商品

    @Column(name = "saas_id")
    public String getSaasId() {
        return saasId;
    }

    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    @Column(name = "img")
    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getIntegrate() {
        return integrate;
    }

    public void setIntegrate(Integer integrate) {
        this.integrate = integrate;
    }

    @Column(name = "activity_id")
    public String getActivityId() {
        return activityId;
    }

    public void setActivityId(String activityId) {
        this.activityId = activityId;
    }

    @Column(name = "coupon")
    public int getCoupon() {
        return coupon;
    }

    public void setCoupon(Integer coupon) {
        this.coupon = coupon;
    }

    @Column(name = "status")
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Transient
    public ExchangeGoodsDO getExchangeGoodsDO() {
        return exchangeGoodsDO;
    }

    public void setExchangeGoodsDO(ExchangeGoodsDO exchangeGoodsDO) {
        this.exchangeGoodsDO = exchangeGoodsDO;
    }
}
